DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Static Public Member Functions | List of all members
OFMath Class Reference

## Static Public Member Functions
static OFBool | isnan (float f)
| Determines if the given floating point number is a not-a-number (NaN) value. More...
static OFBool | isnan (double d)
| Determines if the given floating point number is a not-a-number (NaN) value. More...
template<typename Integer >
static OFBool | isnan (Integer i)
| Casts the argument to double and calls OFMath::isnan(double) on the result. More...
static OFBool | isinf (float f)
| Determines if the given floating point number is a positive or negative infinity. More...
static OFBool | isinf (double d)
| Determines if the given floating point number is a positive or negative infinity. More...
static double | sqrt (double d)
| Computes the square root of a floating point number. More...
template<typename Integer >
static OFBool | isinf (Integer i)
| Casts the argument to double and calls OFMath::isinf(double) on the result. More...

## Member Function Documentation

## ◆ isinf() [1/3]

static OFBool OFMath::isinf | ( | double | d | ) |
| static

Determines if the given floating point number is a positive or negative infinity.

Parameters

  d | the floating point value to inspect.

Returns
  OFTrue if d is infinite, OFFalse otherwise.

## ◆ isinf() [2/3]

static OFBool OFMath::isinf | ( | float | f | ) |
| static

Determines if the given floating point number is a positive or negative infinity.

Parameters

  f | the floating point value to inspect.

Returns
  OFTrue if f is infinite, OFFalse otherwise.

## ◆ isinf() [3/3]

template<typename Integer >

static OFBool OFMath::isinf | ( | Integer | i | ) |
| static

Casts the argument to double and calls OFMath::isinf(double) on the result.

Parameters

  i | an integer, i.e. `OFis_integral<Integer>::value` equals `OFTrue`.

Returns
  OFMath::isinf(OFstatic_cast(double,i)).

## ◆ isnan() [1/3]

static OFBool OFMath::isnan | ( | double | d | ) |
| static

Determines if the given floating point number is a not-a-number (NaN) value.

Parameters

  d | the floating point value to inspect.

Returns
  OFTrue if d is a NaN, OFFalse otherwise.

## ◆ isnan() [2/3]

static OFBool OFMath::isnan | ( | float | f | ) |
| static

Determines if the given floating point number is a not-a-number (NaN) value.

Parameters

  f | the floating point value to inspect.

Returns
  OFTrue if f is a NaN, OFFalse otherwise.

## ◆ isnan() [3/3]

template<typename Integer >

static OFBool OFMath::isnan | ( | Integer | i | ) |
| static

Casts the argument to double and calls OFMath::isnan(double) on the result.

Parameters

  i | an integer, i.e. `OFis_integral<Integer>::value` equals `OFTrue`.

Returns
  OFMath::isnan(OFstatic_cast(double,i)).

## ◆ sqrt()

static double OFMath::sqrt | ( | double | d | ) |
| static

Computes the square root of a floating point number.

Parameters

  d | the floating point value to inspect.

Returns
  the square root of d.

Referenced by FrameSorterIPP::normalize().

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofmath.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1